This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496504 - KMS:RV670PRO:Radeon HD 3850 Xorg crashes upon startup
KMS:RV670PRO:Radeon HD 3850 Xorg crashes upon startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_R600/M
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 14:19 EDT by Stewart Adam
Modified: 2010-12-05 01:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log showing the traceback (48.21 KB, text/plain)
2009-04-19 14:19 EDT, Stewart Adam
no flags Details
Output of "dmesg" (39.72 KB, text/plain)
2009-04-19 14:21 EDT, Stewart Adam
no flags Details

  None (edit)
Description Stewart Adam 2009-04-19 14:19:55 EDT
Created attachment 340248 [details]
Xorg.0.log showing the traceback

Description of problem:
If radeon.modeset=1 is passed at boot, KMS is enabled (plymouth shows correctly) but Xorg cannot start and produces a traceback.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-2.fc11.x86_64

xorg-x11-server-Xorg-1.6.1-1.fc11.x86_64
libdrm-2.4.6-6.fc11.x86_64
kernel-2.6.29.1-54.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot with radeon.modeset=1
  
Actual results:
Xorg crashes, resulting in a blank black screen

Expected results:
Xorg starts

Additional info:
Comment 1 Stewart Adam 2009-04-19 14:21:41 EDT
Created attachment 340249 [details]
Output of "dmesg"

Here's the output of dmesg after Xorg crashes. Let me know if you need any other information.
Comment 2 Matěj Cepl 2009-04-20 09:22:06 EDT
If you have no radeon.modeset=1 on kernel command line, than what happens?

And of course the backtrace is lovely:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e9a16]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47de1f]
2: /lib64/libc.so.6 [0x7f79329ac400]
3: /usr/lib64/xorg/modules//libshadow.so(shadowUpdatePacked+0x1b7) [0x7f792f409a27]
4: /usr/lib64/xorg/modules//libshadow.so [0x7f792f40934b]
5: /usr/bin/Xorg(BlockHandler+0x85) [0x44b275]
6: /usr/bin/Xorg(WaitForSomething+0x151) [0x4e7441]
7: /usr/bin/Xorg(Dispatch+0x92) [0x446ec2]
8: /usr/bin/Xorg(main+0x3c5) [0x42d0e5]
9: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f79329976cd]
10: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting
Comment 3 Stewart Adam 2009-04-20 13:00:19 EDT
Xorg starts normally if I do not boot with modesetting enabled. I'm not following you about the backtrace, are you saying it doesn't include the right information?
Comment 4 Rand All 2009-05-14 23:08:13 EDT
I think I'm seeing the same bug, but I'm not sure because I'm not passing any options about modesetting to the kernel.  Is modesetting now the default, and if so, is there an option I can pass to disable it?

Aside from the fact that I'm not passing any options to my kernel, my problem looks identical to this.

I'm running kernel 2.6.29.3-140.fc11.x86_64.
xorg-x11-drv-ati-6.12.2-13.fc11.x86_64
Comment 5 Matěj Cepl 2009-05-15 03:09:59 EDT
(In reply to comment #4)
> I think I'm seeing the same bug, but I'm not sure because I'm not passing any
> options about modesetting to the kernel.  Is modesetting now the default, and
> if so, is there an option I can pass to disable it?

Yes, it is, and yes you can add word "nomodeset" to the kernel line in /etc/grub.conf and reboot. It switches modesetting off.
Comment 6 Rand All 2009-05-15 03:28:32 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > I think I'm seeing the same bug, but I'm not sure because I'm not passing any
> > options about modesetting to the kernel.  Is modesetting now the default, and
> > if so, is there an option I can pass to disable it?
> 
> Yes, it is, and yes you can add word "nomodeset" to the kernel line in
> /etc/grub.conf and reboot. It switches modesetting off.  

I tried passing "nomodeset" to the kernel, and it made no difference. I'm still getting the same behavior as before.
Comment 7 Ravindra Singh 2009-05-16 09:04:51 EDT
I have the same issue. Comp boots up with default blue progress bar and then the screen dies.

kernel = 2.6.29.3-140
my card = ATI Radeon Mobility 3450 HD
system = Dell studio 1535

I am using the default driver.

Booting with older kernel 2.6.29.1-102 has no problems but upon bootup a message pops up saying that a kernel failure had occurred and shows a backtrace.
Comment 8 Bug Zapper 2009-06-09 10:08:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Marko Ristola 2009-09-15 16:31:08 EDT
(In reply to comment #0)
> Created an attachment (id=340248) [details]
> Xorg.0.log showing the traceback
> 
> Description of problem:
> If radeon.modeset=1 is passed at boot, KMS is enabled (plymouth shows
> correctly) but Xorg cannot start and produces a traceback.
> 
> Version-Release number of selected component (if applicable):
> xorg-x11-drv-ati-6.12.2-2.fc11.x86_64
> 
> xorg-x11-server-Xorg-1.6.1-1.fc11.x86_64
> libdrm-2.4.6-6.fc11.x86_64
> kernel-2.6.29.1-54.fc11.x86_64
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Boot with radeon.modeset=1
> 
> Actual results:
> Xorg crashes, resulting in a blank black screen
> 
> Expected results:
> Xorg starts
> 
> Additional info:  

I have HD 3850, and I can make it boot both Fedora 11 and Fedora Rawhide, although no luck with fast 3D yet under rawhide.

Adam, you have in your dmesg the following lines:
mtrr: your CPUs had inconsistent variable MTRR settings
mtrr: probably your BIOS does not setup all CPUs.
mtrr: corrected configuration.

There is a feature that combines both the motherboard's embedded ATI graphics card and external ATI 3850 as behaving like a single display card. I think that if the BIOS setting of "Surround view" is "enabled", mtrr warnings come up and Fedora doesn't boot. If the bios setting is "disabled", mtrr warnings migth not turn up and Fedora boots up.

Today Rawhide booted also with modesetting enabled with Surround view "disabled".

Marko Ristola
Comment 10 Matěj Cepl 2009-11-05 13:26:49 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Rand All 2009-11-08 01:30:26 EST
(In reply to comment #10)

The issue seems to be fixed for me.
Comment 12 Matěj Cepl 2009-11-08 05:02:45 EST
Reporter, could you please confirm comment 11?
Comment 13 Stewart Adam 2009-11-08 14:26:46 EST
(In reply to comment #12)
> Reporter, could you please confirm comment 11?  
Doesn't work for me on F11 with latest kernel and the following packages:
xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64 (from updates-testing)
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
kernel-2.6.30.9-96.fc11.x86_64

Same issue seems to happen, Plymouth works perfectly but starting Xorg fails. Xorg log file is identical to the first I reported.
Comment 14 Basil Mohamed Gohar 2009-12-19 13:38:22 EST
This happened to me under F12 as well.
Comment 15 Bug Zapper 2010-04-27 09:47:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Vedran Miletić 2010-05-24 15:17:51 EDT
Improving summary. Updating version per comment 14.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 17 Bug Zapper 2010-11-04 07:20:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-12-05 01:56:22 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.